%{!?python_sitelib: %define python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Summary: Python library for configuring and running X.
Name: rhpxl
Version: 0.18
Release: 1
Source0: %{name}-%{version}.tar.gz
License: GPL
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: python-devel, gettext
BuildArch: noarch
ExcludeArch: s390 s390x ppc64
Requires: python >= %(%{__python} -c "import sys; print sys.version[:3]")
Requires: rhpl, kudzu >= 1.2.0, newt, hwdata >= 0.169
Requires: pyxf86config >= 0.3.2
Requires: xorg-x11-server-Xorg >= 1.0.1-6
Conflicts: libXfont < 0.99.2-2

%description
The rhpxl (pronounced 'rapunzel') package contains a Python library for
configuring and running X.

%prep
%setup -q

%build
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=${RPM_BUILD_ROOT} install

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc README ChangeLog COPYING
%{python_sitelib}/rhpxl
%{_sbindir}/ddcprobe

%changelog
* Wed Apr 05 2006 Eddy Nigg <eddy_nigg@startcom.org>
- Rebuild for StartCom Linux 5.0.x

* Mon Mar  6 2006 Jeremy Katz <katzj@redhat.com> - 0.18-1
- allow forcing vesa (#184015)

* Wed Feb 22 2006 Jeremy Katz <katzj@redhat.com> - 0.17-1
- fix braindead i810 (#182300)

* Wed Feb 22 2006 Chris Lumens <clumens@redhat.com> 0.16-1
- Only put one non-vesa card in front of the list (#182016).
- Provide a fixed list of supported resolutions for the SGI 1600SW (#115679).

* Wed Feb 15 2006 Bill Nottingham <notting@redhat.com> 0.15-1
- order non-vesa videocards before vesa (#176978)

* Wed Feb 08 2006 Chris Lumens <clumens@redhat.com> 0.14-1
- Remove modes data since this is now in the X server package.

* Wed Feb 01 2006 Chris Lumens <clumens@redhat.com> 0.13-1
- Add aspect ratio patch from Jef Spaleta <jspaleta AT gmail.com> (#158143).

* Tue Jan 24 2006 Chris Lumens <clumens@redhat.com> 0.12-1
- Protect against an empty list of probed mice (#178515).

* Wed Jan 18 2006 Chris Lumens <clumens@redhat.com> 0.11-1
- No ddcprobe output for mice, or for monitors unless on i386 or ppc.

* Wed Jan 11 2006 Peter Jones <pjones@redhat.com> 0.10-1
- If we're on a Mac and can't get DDC/EDID, and our resolution is tiny,
  force 1024x768.

* Wed Dec 21 2005 Chris Lumens <clumens@redhat.com> 0.9-1
- Don't use rhpl.log anymore.

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Fri Dec 02 2005 Chris Lumens <clumens@redhat.com> 0.8-1
- Attempt to set hsync and vsync from the config file if probing fails
  (Maxim Dzumanenko - #154172).

* Mon Nov 21 2005 Bill Nottingham <notting@redhat.com> - 0.7-1
- fix rhpl.arch.getBaseArch() vs rhpl.getArch() confusion

* Tue Nov 15 2005 Chris Lumens <clumens@redhat.com> 0.6
- Remove xhwstate from path on object creation (#173229).

* Mon Nov 14 2005 Jeremy Katz <katzj@redhat.com> - 0.5.2-1
- drivers now end in .so, not .o

* Mon Nov 14 2005 Jeremy Katz <katzj@redhat.com> - 0.5.1-1
- unscaled bitmap fonts fixed in libXfont so change our fontpaths back

* Sun Nov 13 2005 Jeremy Katz <katzj@redhat.com> - 0.5-1
- update for modular X

* Thu Oct 13 2005 Chris Lumens <clumens@redhat.com> 0.4-2
- Correct python lib directory on 64-bit archs (#170624).

* Wed Oct 12 2005 Chris Lumens <clumens@redhat.com> 0.4-1
- Correct where we look for data files (#170505).
- Translate in rhpxl domain instead of rhpl domain.
- Correct __init__ to import everything.

* Tue Oct 11 2005 Chris Lumens <clumens@redhat.com> 0.3-1
- Moved data files and ddcprobe here from rhpl.

* Tue Oct 11 2005 Chris Lumens <clumens@redhat.com> 0.2-1
- Fix import of simpleconfig.
- Remove references to X sections of rhpl that rhpxl contains.

* Fri Oct 07 2005 Chris Lumens <clumens@redhat.com> 0.1-2
- Fix broken dependancies on platforms with no pyxf86config.

* Thu Oct 06 2005 Chris Lumens <clumens@redhat.com> 0.1-1
- Initial import from rhpl.
